﻿Imports Wiker.WIDatabase
Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim idx As Integer
        Dim Str As String
        Dim DBInfo As CDatabaseInfo

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Calling Insert.Clear() ensures we are not inserting extraneous data. 

        WIDB.Insert.Clear()

        ' The Column Class is used to add columns to the insert 

        WIDB.Insert.Column("Address1", "123 Fake St")
        WIDB.Insert.Column("Address2", "APT 42")
        WIDB.Insert.Column("City", "Springfield")
        WIDB.Insert.Column("State", "KY")
        WIDB.Insert.Column("ZipCode", "40069")

        ' Insert.Table([tableName]) indicates the table into which the data will be placed 

        WIDB.Insert.Table("tblAddress")

        ' Insert.Execute() inserts the data. 

        If Not WIDB.Insert.Execute(idx) Then
            Str = String.Format("Failed to insert address." & vbLf & "LastError = {0}" & vbLf & "{1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage)
        Else
            Str = String.Format("Inserted new address with Id of {0}.", idx)
        End If

        ' Good practice is to close the DB when finished 

        WIDB.Close()

        Console.WriteLine(Str)

    End Sub

End Module
