﻿/*******************************************************************************
File        : stPerson.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
using System.Drawing;

namespace WIDatabaseSample
{
/*******************************************************************************
Class        : stPerson
Description  : 
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public class stPerson
{
public int PersonID;
//public int AddressID;
public stAddress Address;
//public int CompanyID;
public stCompany Company;
public string Name;
public int PhotoID;
public Image PhotoImage;
public bool Active;

public string PhoneHome;
public string PhoneWork;
public string PhoneCell;
public string PhoneFax;
public string PhoneOther;

/*******************************************************************************
Constructor : stPerson()
Description : 
Parameters  : None
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public stPerson()
{
Address = new stAddress();
Company = new stCompany();

Clear();
}
/*******************************************************************************
Constructor : stPerson()
Description : 
Parameters  : string name - 
--------------------------------------------------------------------------------
History:
2011/05/12 WLM Created
*******************************************************************************/
public stPerson(string name)
{
Address = new stAddress();
Company = new stCompany();

Clear();
Name = name;
}
/*******************************************************************************
Function    : Clear()
Description : 
Parameters  : None
Returns     : void
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public void Clear()
{
PersonID = 0;
//AddressID = 0;
Address.Clear();
//CompanyID = 0;
Company.Clear();
Name = "";
PhotoID = 0;
PhotoImage = null;
Active = false;

PhoneHome = "";
PhoneWork = "";
PhoneCell = "";
PhoneFax = "";
PhoneOther = "";
}
} /* End Of Class stPerson */
} /* End Of NameSpace WIDatabaseSample */